### Hierarchy

- TransactWriteRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- params

### Methods

- exec
- execFullResponse
- returnConsumedCapacity
- returnItemCollectionMetrics
- transact

## Constructors

### constructor

- new TransactWriteRequest(): TransactWriteRequest

- - Defined in dynamo/transactwrite/transact-write.request.ts:9

  #### Returns TransactWriteRequest

## Properties

### Private dynamoRx

dynamoRx: DynamoRx

- Defined in dynamo/transactwrite/transact-write.request.ts:9

### params

params: TransactWriteItemsInput

- Defined in dynamo/transactwrite/transact-write.request.ts:8

## Methods

### exec

- exec(): Observable<void>

- - Defined in dynamo/transactwrite/transact-write.request.ts:44

  #### Returns Observable<void>

### execFullResponse

- execFullResponse(): Observable<TransactWriteItemsOutput>

- - Defined in dynamo/transactwrite/transact-write.request.ts:40

  #### Returns Observable<TransactWriteItemsOutput>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): TransactWriteRequest

- - Defined in dynamo/transactwrite/transact-write.request.ts:18

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

  #### Returns TransactWriteRequest

### returnItemCollectionMetrics

- returnItemCollectionMetrics(returnItemCollectionMetrics: DynamoDB.ReturnItemCollectionMetrics): TransactWriteRequest

- - Defined in dynamo/transactwrite/transact-write.request.ts:23

  #### Parameters

  - ##### returnItemCollectionMetrics: DynamoDB.ReturnItemCollectionMetrics

  #### Returns TransactWriteRequest

### transact

- transact(...writeOperations: TransactOperation[]): TransactWriteRequest

- - Defined in dynamo/transactwrite/transact-write.request.ts:28

  #### Parameters

  - ##### Rest ...writeOperations: TransactOperation[]

  #### Returns TransactWriteRequest

Generated using TypeDoc